Botan 2.19.5 Crypto and TLS for C&

Public Types | List of all members
Botan::stlCompatibilityDetails::_Unique_if< T > Struct Template Reference

`#include <stl_compatibility.h>`

## Public Types
typedef std::unique_ptr< T > | _Single_object

## Detailed Description

template<class T>
struct Botan::stlCompatibilityDetails::_Unique_if< T >

Definition at line 45 of file stl_compatibility.h.

## Member Typedef Documentation

## ◆ _Single_object

template<class T >

typedef std::unique_ptr<T> Botan::stlCompatibilityDetails::_Unique_if< T >::_Single_object

Definition at line 47 of file stl_compatibility.h.

The documentation for this struct was generated from the following file:

- src/lib/utils/stl_compatibility.h